#!/usr/bin/env python

# -*- coding:utf-8 -*-

import sys, os
import gettext
from livecreator_qt import mainqt
from PyQt4 import QtGui,QtCore
from livecreator_misc import functions
from livecreator_misc import config
import ConfigParser


if __name__ == "__main__":
#    app = QtGui.QApplication(sys.argv)
    # i18n
    gettext.install('livecreator', unicode=True)

    uid =  os.getuid()
    if uid == 0:
        #Read config file
        livecreatorConfig = ConfigParser.ConfigParser()
        try:
            livecreatorConfig.readfp(open('/etc/livecreator.conf'))
        except Exception, e:
            livecreatorConfig = config.writeNewConfig()
        finally:
            # check work folder
            config.dircheck(livecreatorConfig)
            # clean temp folder
            config.cleanWorkSpace(livecreatorConfig)
            # launch interface
            dialog = mainqt.FrontEnd(livecreatorConfig)
    else:
        dialog = QtGui.QMessageBox( _("Critical"), _("Please launch as root"), QtGui.QMessageBox.Critical,0,0,0)

    sys.exit(dialog.exec_())


