#!/usr/bin/env python
# -*- coding: UTF-8 -*-


from __future__ import division
import sys,os
from PyQt4 import QtCore, QtGui
import math
import ConfigParser


def format_size(size):
    """
        Format size of an image
    """
    if size > 1024:
        size = size/1024
        if size > 1024:
            size = size/1024
            if size > 1024:
                size = size/1024
                return _("%.2f G") % size
            return "%.2f M" % size
        else:
            return "%.2f K" % size
    else:
        return "%.2f Bytes" % size


def format_date(datetime,typ):
    """
        Format date 
    """
    if typ == "date":
        date = []
        date[:] = datetime[0:3]
        date.reverse()
        return date
    if typ == "time":
        time = []
        time[:] = datetime[3:6]
        return time


def format_live(filename):
    """
        Detect if the live is a CD/DVD or USB
    """
    filetype = filename.rsplit('.')[-1]
    if filetype == "iso":
        return "CD/DVD"
    elif filetype == "img":
        return "USB-HDD"
    else:
        return "Autre"


def readDir(path,filtre=""):
    """
        Read a folder and return the file list in function 
        of the filter
    """
    if filtre:
        dir = QtCore.QDir(path)
        filter = QtCore.QStringList()
        filter.append(filtre)
        dir.setNameFilters(filter)
        fileList = dir.entryList(QtCore.QDir.Files,QtCore.QDir.Name)
    else:
        dir = QtCore.QDir(path)
        fileList = dir.entryList(QtCore.QDir.Files,QtCore.QDir.Name)
    return fileList


def test():
    print TEST
