#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import sys,os

class allTips():
    def __init__(self):
        """
            This class contains all tips
        """
        self.mainqt_intro= _("Home")
        self.mainqt_template=_("Templates: Create, import, load, edit and delete a Live template")
        self.mainqt_packages=_("Packages: Select local packages, sources packages and distribution packages")
        self.mainqt_custom=_("Personnalisation: Change general or advanced options and add some personalization scripts")
        self.mainqt_summary=_("Generation: show summary and generate the Live image.")
        self.mainqt_testimg=_("Lives: test, delete and burn/copy Lives")
        self.mainqt_prefs=_("Settings: configuration of LiveCreator")
        self.mainqt_about=_("About: About LiveCreator")
        self.mainqt_save=_("Save current template")
        self.mainqt_exit=_("Quit LiveCreator")
        self.template_new=_("Create a new template")
        self.template_import=_("Import an existing template in livecreator")
        self.template_load=_("Generate the selected template in only two clicks")
        self.template_edit=_("Modify selected template options")
        self.template_del=_("Delete selected template")
        self.packages_summary=_("All selected packages summary")
        self.packages_upstream=_("Available officials distribution packages that you can add to the Live")
        self.packages_local=_("Local .deb packages that you can add to the Live")
        self.packages_source=_("Sources packages that sill be compiled through a ./configure && make && make install, directly in the Live")
        self.custom_hook=_("""Hook scripts (or personalization scripts) let you personalize your Live:\n -The "inside chroot" scripts sill be launched between environment preparation and the Live generation.\n   They can be used to create new directories, files copy, wallpaper change,... Simply keep in mind: launched as in the final running Live.\n - The "outside chroot" script will be launched during the Live boot process generation. This script must be used only if you understand "Debian Live" routines.""")
        self.custom_gen_hostname=_("Set the Live hostname")
        self.custom_gen_user=_("Set the Live username (wich is the login)")
        self.custom_gen_lang=_("Live global langage")
        self.custom_gen_kbd=_("Keyboard langage that will be used for the Live system")
        self.custom_gen_type=_("Define the wanted media type (USB or CD/DVD)")
        self.custom_gen_bootsplash=_("The selected image will be show at start, only during bootloader")
        self.custom_adv_usplash=_("The selected image will be show during the system start, after bootloader")
        self.custom_adv_timeout=_("Time to wait before launching the Live boot")
        self.custom_adv_crypt=_("Activate the Live encryption assuming the crypt level chosen")
        self.custom_adv_intermode=_("Ask some question during the live boot:\n - Langage\n - Layoutr\n - Partitions automount\n - DHCP")
        self.custom_adv_automount=_("Partitions mounting mode:\n - Off => Partition will not be automatically mounted.\n - On => PArtition are mounted automaticly.\n - Forensic => Mount partitions in read only mode\n - Choose during boot => Ask during boot start")
        self.custom_adv_dhcp=_("Automatic network configuration (DHCP) :\n - Off => Network will not be automatically launched\n - On => The network will be automatically configured\n - Choose during boot => Ask during boot start")
        self.custom_adv_options=_("Advanced Live personalization (for more information, use: lh_config --help), all available options can be mannualy put here")
        self.summary_gen=_("Generate image assuming selected options")
        self.test_import=_("Import an existing image")
        self.test_del=_("Delete the image from list and hard drive")
        self.test_image=_("Test selected image with Qemu (to be faster,, install kqemu)")
        self.test_gen=_("Generate he media with selected image")
        self.test_live=_("Test a Live (USB or CD/DVD) present on your computer using Qemu (to be faster,, install kqemu)")
        self.prefs_root=_("Set the software main directory")
        self.prefs_template=_("Set the templates directory")
        self.prefs_tmp=_("Set the temporary directory used to generate images")
        self.prefs_image=_("Set the images directory")
        self.prefs_local=_("Set local packages directory")
        self.prefs_hook=_("Set personalization script")
        self.prefs_dep=_("Set the repository to use during generation")
        self.prefs_depsecu=_("Set the security repository to use during generation")
        self.prefs_ftpproxy=_("Set FTP proxy address")
        self.prefs_httpproxy=_("Set HTTP proxy address")

