#!/usr/bin/env python
# -*- coding: UTF-8 -*-


import sys
from PyQt4 import QtCore, QtGui

class IntroductionPage(QtGui.QWidget):
    def __init__(self, livecreatorConfig, parent=None):
        QtGui.QWidget.__init__(self, parent)
        """
            This class defines the index page
        """
        # Load config file
        self.config = livecreatorConfig
        # Set group box
        configGroup = QtGui.QGroupBox(self.tr( _("Welcome on LiveCreator") ))
        # Show intro text
        serverLabel = QtGui.QLabel(self.config.get("main","intro"))
        serverLabel.resize(100,200)
        # Show intro page
        serverLayout = QtGui.QHBoxLayout()
        serverLayout.addWidget(serverLabel)
        configLayout = QtGui.QVBoxLayout()
        configLayout.addLayout(serverLayout)
        configGroup.setLayout(configLayout)
        mainLayout = QtGui.QGridLayout()
        mainLayout.addWidget(configGroup,0,0,0,12)
        self.setLayout(mainLayout)

