#!/bin/sh
######################################################################
# ask_metwork.sh                                      Michel DEPEIGE #
# 03/04/2008                                   mdepeige@linagora.com #
#                                                                    #
# Description:                                                       #
# Boite de dialogue pour la demarrage du service reseau              #
#                                                                    #
# IN :  neant                                                        #
# OUT : auto explicatif                                              #
#                                                                    #
#                                                                    #
#--------------------------------------------------------------------#
# Copyright (C) Michel DEPEIGE <mdepeige@linagora.com>               #
#               Erwan LE GALL <elegall@linagora.com>                 #
# Copyright (C) LINAGORA <http://www.linagora.com>                   #
#                                                                    #
#--------------------------------------------------------------------#
# License: GPLv333                                                     #
#--------------------------------------------------------------------#
# This program is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU General Public License        #
# as published by the Free Software Foundation; either version 2     #
# of the License, or (at your option) any later version.             #
#                                                                    #
# This program is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      #
# GNU General Public License for more details.                       #
#                                                                    #
# GPL License: http://www.gnu.org/licenses/gpl.txt                   #
#                                                                    #
#--------------------------------------------------------------------#
# Please visit http://www.linagora.org for other contributions       #
#                                                                    #
#--------------------------------------------------------------------#
# Versions            :                                              #
#    0.1, 17/03/08 - Script initial                                  #
#                                                                    #
#--------------------------------------------------------------------#
# Scripts appelant    : n/a                                          #
# Scripts appeles     : mountall.sh, mountall_forensic.sh            #
# Fichiers en entree  : n/a                                          #
# Fichiers en sortie  : stdout                                       #
#--------------------------------------------------------------------#
######################################################################

rm -rf /tmp/interactive
dialog --timeout 10 --title " network " --clear --yesno "Would you like to enable network ?" 5 40 2>/tmp/interactive

case $? in
	0)	/etc/init.d/networking start ;;
	1)	echo "Starting without network" ;;
	255)	echo "Starting without network" ;;
esac 

